package org.bitbucket.bradleysmithllc.etlunit.parser;

public interface ETLTestOperation extends ETLTestDebugTraceable
{
	String getOperationName();

	ETLTestValueObject getOperands();

	String description();

	ETLTestMethod getTestMethod();

	ETLTestClass getTestClass();

	ETLTestOperation createSibling(String name);

	ETLTestOperation createSibling(String name, ETLTestValueObject parameters);

	int getOrdinal();

	String getQualifiedName();
}